Bug 826150 - segfault without apparent reason in memcpy() preceded by copy() preceded by std::basic_streambuf()
segfault without apparent reason in memcpy() preceded by copy() preceded by s...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-xpi (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity medium
: beta
: 6.4
Assigned To: Peter Hatina
Desktop QE
abrt_hash:2e5106b9e83d0ffad7df93b4648...
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 13:37 EDT by David Jaša
Modified: 2016-05-31 21:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-22 08:10:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full backtrace (6.84 KB, text/plain)
2012-05-29 13:37 EDT, David Jaša
no flags Details

  None (edit)
Description David Jaša 2012-05-29 13:37:30 EDT
Created attachment 587468 [details]
full backtrace

Description of problem:
SSIA. Happened during use of RHEVM 2.2 user portal, the browser was idle at the time of the crash, though.

Version-Release number of selected component (if applicable):
spice-xpi-2.7-19.uri1.el6.x86_64
xulrunner-10.0.4-1.el6_2.x86_64

(spice-xpi is with patch for "s" secure channels prefix removal applied)

How reproducible:
random

Steps to Reproduce:
1. 
2.
3.
  
Actual results:
segfault

Expected results:


Additional info:
backtrace:
#0  memcpy () at ../sysdeps/x86_64/memcpy.S:396
396		movq	32(%rsi), %r11
(gdb) t a a bt

Thread 1 (Thread 0x7f25531d1700 (LWP 21304)):
#0  memcpy () at ../sysdeps/x86_64/memcpy.S:396
#1  0x000000364569badb in copy (this=0x7f25531d0638, __s=0x7f2559a859e0 "\320)\240Y%\177", __n=139796890517504)
    at /usr/src/debug/gcc-4.4.6-20120305/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/bits/char_traits.h:275
#2  std::basic_streambuf<char, std::char_traits<char> >::xsputn (this=0x7f25531d0638, __s=0x7f2559a859e0 "\320)\240Y%\177", __n=139796890517504)
    at /usr/src/debug/gcc-4.4.6-20120305/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/bits/streambuf.tcc:89
#3  0x0000003645692915 in sputn (__out=..., __s=0x7f2559a05a18 "", __n=139796890517504)
    at /usr/src/debug/gcc-4.4.6-20120305/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/streambuf:427
#4  __ostream_write<char, std::char_traits<char> > (__out=..., __s=0x7f2559a05a18 "", __n=139796890517504)
    at /usr/src/debug/gcc-4.4.6-20120305/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/bits/ostream_insert.h:48
#5  std::__ostream_insert<char, std::char_traits<char> > (__out=..., __s=0x7f2559a05a18 "", __n=139796890517504)
    at /usr/src/debug/gcc-4.4.6-20120305/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/bits/ostream_insert.h:99
#6  0x00007f25595eadf0 in nsPluginInstance::ExecuteUsbRdrCtrl (this=0x7f25614c0500) at plugin.cpp:850
#7  0x00007f25595efb30 in nsPluginInstance::UsbRdrCtrlWaitHelper (opaque=0x7f25614c0500) at plugin.cpp:985
#8  0x000000363ba07851 in start_thread (arg=0x7f25531d1700) at pthread_create.c:301
#9  0x000000363b2e767d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
Comment 1 RHEL Product and Program Management 2012-07-10 04:13:14 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 RHEL Product and Program Management 2012-07-10 22:02:35 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 3 RHEL Product and Program Management 2012-12-14 03:11:11 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Peter Hatina 2013-01-09 03:08:53 EST
David, can you reproduce this, anyhow?
Comment 5 David Jaša 2013-01-09 03:18:17 EST
No, I didn't see it ever since.
Comment 6 Peter Hatina 2013-01-22 08:10:02 EST
Closing this one.

Note You need to log in before you can comment on or make changes to this bug.